@font-face {
    font-family: 'GoogleSans';
    src: url('./fonts/GoogleSans.ttf');
}

html,
body {
    width: 100%;
    height: 100%;
    font-family: 'GoogleSans';
    overflow: hidden;
}

/** {
    font-family: 'GolosText';
}*/

input {
    font-family: 'GoogleSans';
    outline: none;
}

input::placeholder {
    font-family: 'GoogleSans';
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -webkit-user-drag: none;
    user-select: none;
}

textarea {
    font-family: 'GoogleSans';
    outline: none;
}

textarea::placeholder {
    font-family: 'GoogleSans';
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -webkit-user-drag: none;
    user-select: none;
}

.unselectable {
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -webkit-user-drag: none;
    -webkit-touch-callout: none;
    user-select: none;
}

.scrollbarHidden::-webkit-scrollbar {
    display: none;
}

.scrollbarHidden {
    scrollbar-width: none;
}

::view-transition-old(root),
::view-transition-new(root) {
    animation: none;
    mix-blend-mode: normal;
}

::view-transition-new(root) {
    z-index: 1;
}

.spinner16 {
    width: 16px;
    height: 16px;
    border-radius: 50%;
    border-width: 2px;
    border-style: solid;
    animation: spin 0.4s linear infinite;
    border-top-color: transparent;
}

.spinner24 {
    width: 24px;
    height: 24px;
    border-radius: 50%;
    border-width: 3px;
    border-style: solid;
    animation: spin 0.4s linear infinite;
    border-top-color: transparent;
}

.spinner48 {
    width: 48px;
    height: 48px;
    border-radius: 50%;
    border-width: 4px;
    border-style: solid;
    animation: spin 0.4s linear infinite;
    border-top-color: transparent !important;
}

.spinner64 {
    width: 64px;
    height: 64px;
    border-radius: 50%;
    border-width: 3px;
    border-style: solid;
    animation: spin 0.6s linear infinite;
    border-top-color: transparent;
}

@keyframes spin {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}